2026.10.c

🥥

Highlights

The 2026.10.c release introduces Auto Select v2 tasks, support for creating API keys, and updates to Clone and Copy APIs.

  • The Auto Select API now support v2 auto selects tasks that can be used to retrieve model profiles for up to ten account or portfolio exposures.
  • The Clone API can now return cloned EDMs as downloadable database artifacts.
  • The Copy API can now return cloned EDMs as downloadable database artifacts.
  • The Legacy API now supports managing API keys. Authorized clients can create, revoke, and regenerate API keys.

Learn More

Auto Select API

Create Auto Select Tasks v2

The Create Auto Select Tasks operation (POST /platform/autoselect/v2/tasks) returns a list of model profiles that can be used to model the specified list of account or portfolio exposures.

Unlike the original version of this operation (POST /platform/autoselect/v2/tasks), which can be used to model a single account exposure, this operation supports retrieving model profiles for up to ten account or portfolio exposures in a request.

This change is designed to support the smart auto-selection in Workflow Builder. Smart auto-selection automatically limits the HD and DLM model profiles run in a Workflow Builder template to the ones that match the region and peril of the exposure being analyzed, then lets you add or remove profiles to customize the run. This is intended to reduce wasted compute and job failures caused by running model profiles against exposure they don't apply to.

{
  "resources": [
    {
      "resourceType": "PORTFOLIO",
      "resourceUris": ["/platform/riskdata/v1/exposures/123/portfolios/1"],
      "modelProfileIds": [1, 2]
    },
    {
      "resourceType": "ACCOUNT",
      "resourceUris": ["/platform/riskdata/v1/exposures/123/account/8"],
      "modelProfileIds": [9, 10]
    }
  ],
  "settings": {
    "taskName": "NAHU_SmartSelect_Run"
  }
}

If successful, the request returns 201 Created and a single asynchronous Auto Select task that identifies appropriate model profiles for every exposure specified in the request.

Get Auto Select Task v2

The Get Auto Select Task operation (GET /platform/autoselect/v2/tasks/{taskUuid}) returns the specified Auto Select task.

This operation can be used to poll the status of an AUTOSELECT task, and view the list of applicable model profiles returned by a COMPLETED task.

The output.log.resource object maps each resourceId to the subset of candidate model profiles. Failures are returned in the output.errors array.

{
  "taskUuid": "9fef248b-776b-47f8-95c9-7f2b61b66ba9",
  "taskType": "AUTOSELECT",
  "taskName": "ACCOUNT_123",
  "status": "COMPLETED",
  "createdAt": "2025-10-03T16:59:54.831Z",
  "updatedAt": "2025-10-03T16:59:54.831Z",
  "expiresAt": "2025-10-03T16:59:54.831Z",
  "createdBy": "[email protected]",
  "output": {
    "errors": [],
    "log": {
      "resources": [
        {
          "resourceType": "PORTFOLIO",
          "resourceId": 3,
          "applicableModelProfileIds": []
        },
        {
          "resourceType": "PORTFOLIO",
          "resourceId": 1,
          "applicableModelProfileIds": [1040, 1041, 1042]
        }
      ]
    }
  }
}

Cancel Auto Select Task v2

The Cancel Auto Select Task operation (PATCH /platform/autoselect/v2/tasks/{taskUuid}) cancels the specified Auto Select task.

This operation can be used to cancel an AUTOSELECT task.

Clone API

Create Clone Job

The Create Clone Job operation (POST /platform/clone/v1/jobs) creates a clone of the specified account, aggregate portfolio, portfolio, or EDM.

If the resourceType body parameter is EXPOSURE (EDM), this operation now accepts an optional settings.downloadAsFile object. If specified, the copy job (EDM2EDM) returns the EDM as a downloadable database artifact.

{
  "resourceType": "EXPOSURE",
  "resourceUri": "/platform/riskdata/v1/exposures/10001",
  "settings": {
    "linkExistingAccounts": false,
    "filters": {
      "exposureResourceType": "ACCOUNTS",
      "exposureResourceIds": [789]
    },
    "downloadAsFile": {
      "sqlVersion": "2019",
      "fileExtension": "BAK",
      "schemaVersion": "v21"
    },
    "destinationExposureId": 123
  }
}

The downloadAsFile object consists of three parameters:

ParameterTypeDescription
sqlVersionStringSQL version of database artifact.
fileExtensionStringFile type of database artifact. One of BAK or MMM
schemaVersionStringSchema version of database artifact.

Get Copy Job

The Get Clone Job operation GET /platform/clone/v1/jobs/{jobId} returns the status of specified clone job.

EDM2EDM jobs can now optionally produce copied EDMs as downloadable database artifacts. This operation now returns a downloadLink string in tasks[].output.log for tasks that produce database artifacts.

{
  "jobId": "5502",
  "status": "FINISHED",
  "tasks": [
    {
      "taskId": "1",
      "status": "FINISHED",
      "output": {
        "errors": [],
        "log": {
          "downloadLink": "https://<presigned-host>/exposure_123.bak"
        }
      }
    }
  ]
}

Copy API

Create Copy Job

The Create Copy Job operation (POST /platform/copy/v1/jobs) creates a copy of the specified account, aggregate portfolio, portfolio, or EDM.

If the resourceType body parameter is EXPOSURE (EDM), this operation now accepts an optional settings.downloadAsFile object. If specified, the copy job (EDM2EDM) returns the EDM as a downloadable database artifact.

{
  "resourceType": "EXPOSURE",
  "resourceUri": "/platform/riskdata/v1/exposures/10001",
  "settings": {
    "linkExistingAccounts": false,
    "filters": {
      "exposureResourceType": "ACCOUNTS",
      "exposureResourceIds": [789]
    },
    "downloadAsFile": {
      "sqlVersion": "2019",
      "fileExtension": "BAK",
      "schemaVersion": "v21"
    },
    "destinationExposureId": 123
  }
}

The downloadAsFile object consists of three parameters:

ParameterTypeDescription
sqlVersionStringSQL version of database artifact.
fileExtensionStringFile type of database artifact. One of BAK or MMM
schemaVersionStringSchema version of database artifact.

Get Copy Job

The Get Copy Job operation GET /platform/copy/v1/jobs/{jobId} returns the status of specified copy job.

EDM2EDM jobs can now optionally produce copied EDMs as downloadable database artifacts. This operation now returns a downloadLink string in tasks[].output.log for tasks that produce database artifacts.

{
  "jobId": "5502",
  "status": "FINISHED",
  "tasks": [
    {
      "taskId": "1",
      "status": "FINISHED",
      "output": {
        "errors": [],
        "log": {
          "downloadLink": "https://<presigned-host>/exposure_123.bak"
        }
      }
    }
  ]
}

Grouping API

Create Grouping Task

The Create Grouping Task operation creates a grouping task.

A grouping task is a non-blocking task operation. This operation currently supports VALIDATE_GROUPING tasks only.

The profileType parameter now accepts ALM as well as and DLM and HD.

{
  "taskType": "VALIDATE_GROUPING",
  "taskName": "Test Name",
  "settings": {
    "groups": [
      {
        "groupKey": "1",
        "groupingSetId": 1,
        "numOfSimulations": 100000,
        "profiles": [
          { "profileId": 1001, "profileType": "HD", "eventRateSchemeId": 1 },
          { "profileId": 1002, "profileType": "DLM", "eventRateSchemeId": 1 },
          { "profileId": 55, "profileType": "ALM" },
          { "profileId": 56, "profileType": "ALM" }
        ]
      },
      {
        "groupKey": "2",
        "groupingSetId": 1,
        "numOfSimulations": 100000,
        "profiles": [
          { "profileId": 1001, "profileType": "HD", "eventRateSchemeId": 1 },
          { "profileId": 1002, "profileType": "DLM", "eventRateSchemeId": 1 },
          { "profileId": 55, "profileType": "ALM" },
          { "profileId": 56, "profileType": "ALM" }
        ]
      }
    ]
  }
}

Legacy API

The Legacy API not exposes legacy API operations for creating, deleting, and regenerating API keys.

An API key is an encrypted string that identifies a client application or agentic client. Unlike access tokens, an API key is not tied to a particular user account, but is itself a principal. Clients must pass a valid API key in the Authorization header of all requests. The API key enables the platform to authenticate the client and authorize requests to access API resources.

Tenant administrators can create API keys are manage in Admin Center. The API key is mapped to one or more user groups and is granted access rights and permissions as a member of those user groups.

Create API Key

The Create API Key operation (POST /legacy/sml/auth/v1/apikeys) creates a new API key and assigns that key to one or more user groups.

The request body specifies the unique name of the API key and an array of user groups. Both parameters are required.

{
  "apiKeyName": "my-integration-key",
  "groups": [11111]
}

Search API Key User Groups

The Search API Key User Groups operation (GET /legacy/sml/auth/v1/apikeys) returns a list of user groups.

Unlike the corresponding Reference API operation, this operation returns the groupId needed to rotate, or revoke / delete a user group. The Reference API Search User Groups operation (GET /platform/reference/getgroups) returns the UUIDs for a list of user groups.

Delete API Key

The Delete API Key operation ( DELETE /legacy/sml/auth/v1/apikeys/{api_key_name}) revokes the specified API key.

The request must specified the name of the original API key as a path parameter.

Requests to access API resources using revoked API keys are rejected. Although the revoked API key is marked as deleted in the database, the name of the API key is reserved and cannot be reused to create new keys.

Regenerate API Key

The Regenerate API Key operation ( POST /legacy/sml/auth/v1/apikeys/regenerate/{api_key_name}) regenerates an existing API key.

The old, exposed, or expiring credential is deleted and replaced by a new credential that shares the same name as the retired credential.

The request must specified the name of the original API key as a path parameter.